---
title: ':hover'
slug: 'Web/CSS/:hover'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{ CSSRef }}</div>

<p>The <strong><code>:hover</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes" title="Pseudo-classes">pseudo-class</a> matches when the user interacts with an element with a pointing device, but does not necessarily activate it. It is generally triggered when the user hovers over an element with the cursor (mouse pointer).</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any &lt;a&gt; element when "hovered" */
a:hover {
  color: orange;
}</pre>

<p>Styles defined by the <code>:active</code> pseudo-class will be overridden by any subsequent link-related pseudo-class ({{ cssxref(":link") }}, {{ cssxref(":visited") }}, or {{ cssxref(":active") }}) that has at least equal specificity. To style links appropriately, put the <code>:hover</code> rule after the <code>:link</code> and <code>:visited</code> rules but before the <code>:active</code> one, as defined by the <em>LVHA-order</em>: <code>:link</code> — <code>:visited</code> — <code>:hover</code> — <code>:active</code>.</p>

<div class="note"><strong>Note</strong>: The <code>:hover</code> pseudo-class is problematic on touchscreens. Depending on the browser, the <code>:hover</code> pseudo-class might never match, match only for a moment after touching an element, or continue to match even after the user has stopped touching and until the user touches another element. Web developers should make sure that content is accessible on devices with limited or non-existent hovering capabilities.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;a href="#"&gt;Try hovering over this link.&lt;/a&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">a {
  background-color: powderblue;
  transition: background-color .5s;
}

a:hover {
  background-color: gold;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Basic_example")}}</p>

<h3 id="Image_gallery">Image gallery</h3>

<p>You can use the <code>:hover</code> pseudo-class to build an image gallery with full-size images that show only when the mouse moves over a thumbnail. See <a class="internal" href="/@api/deki/files/6247/=css-gallery.zip" title="css-gallery.zip">this demo</a> for a possible cue.</p>

<div class="note"><strong>Note:</strong> For an analogous effect, but based on the <a class="internal" href="/en-US/docs/Web/CSS/%3Achecked"><code>:checked</code></a> pseudo-class (applied to hidden radioboxes), see <a class="internal" href="/@api/deki/files/6268/=css-checked-gallery.zip" title="css-checked-gallery.zip">this demo</a>, taken from the <a class="internal" href="/en-US/docs/Web/CSS/:checked">:checked</a> reference page.</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Comment</th>
   <th scope="col">Feedback</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('HTML WHATWG', 'semantics-other.html#selector-hover', ':hover') }}</td>
   <td></td>
   <td><a href="https://github.com/whatwg/html/issues">WHATWG HTML GitHub issues</a></td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS4 Selectors', '#the-hover-pseudo', ':hover') }}</td>
   <td>Allows <code>:hover</code> to be applied to any pseudo-element.</td>
   <td><a href="https://github.com/w3c/csswg-drafts/issues">CSS Working Group drafts GitHub issues</a></td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS3 Selectors', '#the-user-action-pseudo-classes-hover-act', ':hover') }}</td>
   <td></td>
   <td></td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS2.1', 'selector.html#dynamic-pseudo-classes', ':hover') }}</td>
   <td>Initial definition.</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.hover")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://code.google.com/p/chromium/issues/detail?id=370155">Chromium bug #370155: Don't make <code>:hover</code> sticky on tap on sites that set a mobile viewport</a></li>
 <li><a href="https://code.google.com/p/chromium/issues/detail?id=306581">Chromium bug #306581: Immediately show hover and active states on touch when page isn't scrollable.</a></li>
</ul>
